Original AdvancedMod Rewrite 4.6.23

itenbrink
Beiträge: 34
Registriert: Fr 25. Nov 2005, 13:04
Wohnort: 85462 Eitting
Kontaktdaten:

Pfadproblem mit mod_rewrite

Beitrag von itenbrink » Di 24. Jun 2008, 19:54

Hallo,

habe mir dir 23er Version mit mod_rewrite upgegraded.

zunächst komme ich nur auf die Startseite wenn ich

(pfad)/cms/front_content.php

eingebe.

nur das Verzeichnis aufrufen reicht nicht.
Wenn ich dann auf einen der Links gehe:

wird der Pfad so dargestellt: (pfad)/1/1/der-contenido-experte/

(das cms ist weg, Dateien werden nicht gefunden.)

ich habe in der .htaccess
RewriteBase /cms

stehen und weiss nicht mehr weiter...

selbst wenn ich
RewriteBase /

drin hab ist es nix ...
ich bin graficker und kann nicht alles wissen ;-)

yodatortenboxer
Beiträge: 422
Registriert: Do 22. Jan 2004, 14:45
Wohnort: Kölpinsee auf Usedom
Kontaktdaten:

Beitrag von yodatortenboxer » Di 24. Jun 2008, 20:51

Habe mir dir 23er Version mit mod_rewrite upgegraded.
auf welche Version? 4.6.24 oder 4.8.6?

itenbrink
Beiträge: 34
Registriert: Fr 25. Nov 2005, 13:04
Wohnort: 85462 Eitting
Kontaktdaten:

Beitrag von itenbrink » Di 24. Jun 2008, 21:49

yodatortenboxer hat geschrieben:
Habe mir dir 23er Version mit mod_rewrite upgegraded.
auf welche Version? 4.6.24 oder 4.8.6?
Hm, für die 4.6.23er.
ich bin graficker und kann nicht alles wissen ;-)

yodatortenboxer
Beiträge: 422
Registriert: Do 22. Jan 2004, 14:45
Wohnort: Kölpinsee auf Usedom
Kontaktdaten:

Beitrag von yodatortenboxer » Mi 25. Jun 2008, 11:34

ah, dann hab ich das falsch verstanden. Ich dachte von der 4.6.23mr und nicht auf die 4.6.23mr da ja wegen den aktuellen Sicherheitmängeln auf ein Update zur 4.6.24 oder 4.8.6 geraden wird.

Wo liegt die .htaccess Datei? Im Root oder im Verzeichnis cms?

Ist der Pfad zum Beispiel

Code: Alles auswählen

http://www.domain.de/cms/
und

Code: Alles auswählen

http://www.domain.de/contenido/
sollte dann die .htaccess mit RewriteBase /cms unter

Code: Alles auswählen

http://www.domain.de/
liegen und nicht im Verzeichnis cms während in den Mandanteneinstellungen aber weiterhin

Code: Alles auswählen

http://www.domain.de/cms/
steht. Zumindest war es immer bei mir so.

itenbrink
Beiträge: 34
Registriert: Fr 25. Nov 2005, 13:04
Wohnort: 85462 Eitting
Kontaktdaten:

Problem gelöst

Beitrag von itenbrink » Mi 25. Jun 2008, 12:42

Es lag zum einen an der falsch eingestellten RewriteBase. Des weiteren war es ein Problem dass die Installation in einem Unterverzeichnis des Servers liegt. Daher gab es noch andere Pfadprobleme.

Was das Thema upgrade auf 24 angeht: Gibt es dafür eine mod_rewrite Installation? Wenn nicht macht ein upgrade keinen Sinn, oder?
ich bin graficker und kann nicht alles wissen ;-)

yodatortenboxer
Beiträge: 422
Registriert: Do 22. Jan 2004, 14:45
Wohnort: Kölpinsee auf Usedom
Kontaktdaten:

Beitrag von yodatortenboxer » Mi 25. Jun 2008, 13:55

Gibt es dafür eine mod_rewrite Installation?
Soweit ich weis noch nicht, ich glaub persönlich aber auch nicht daran das es noch kommen wird da die V4.6.x Reihe soweit ich gelesen habe eh vorhei ist und nun nur noch die 4.8.x und höhere Versionen weiterentwickelt werden.
Die 4.6.24 ist nur eine 4.6.23 mit den aktuellen Sicherheitspatches da es ja Hackerangriffe gab siehe http://forum.contenido.org/viewforum.php?f=58
Wenn nicht macht ein upgrade keinen Sinn, oder?
Kommt darauf an. Wenn es dir nichts ausmacht das dein System vieleicht nicht sicher ist und gehackt werden kann und dann vieleicht gar nichts mehr da ist bzw. eventuell alles gelöscht wurde oder jede Menge Spam-Emails über dein System raus gehen usw. brauchst du natürlich kein Upgrade.

Ansonsten solltest du schon entweder auf die 4.6.24 gehen wobei du momentan oder auch in Zukunft kein MR hast, oder direkt auf die 4.8.6 wo schon ein MR-Plugin verfügbar ist und auch funktioniert. Die Entwichlung wird in Richtung 4.8.x und höher weitergehen.

Wenn du also Module nutzt die unter der 4.8.x noch nicht laufen, würde wohl eher die 4.6.24 in Frage kommen. Ansonsten könntest du direkt auf die 4.8.6 gehen und dann auch das MR-Plugin nutzen.

4fb sagt dazu folgendes: http://forum.contenido.org/viewtopic.php?t=21824

lunsen_de
Beiträge: 187
Registriert: Mo 17. Okt 2005, 20:26
Wohnort: Weimar
Kontaktdaten:

Beitrag von lunsen_de » Mo 30. Jun 2008, 16:25

Hallo, koennte jemand eine Liste veroeffentlichen welche Dateien in der 4.6.24 geaendert wurden (gegenueber der 4.6.23). Ich habe sehr viele Systeme von der 23er mit MR laufen und kann meinen Kunden dass angepriesene MR nicht einfach wegnehmen. Gibt es ein Liste welche Dateien aus der 24er ueber eine 23er MR geladen werden muessen, damit die Sicherheitsluecken geschlossen sind und MR trotzdem laeuft oder vielleicht auch ein Paket mit den Dateien? Danke.

wewo
Beiträge: 45
Registriert: So 8. Aug 2004, 19:08
Wohnort: Graz
Kontaktdaten:

changelog

Beitrag von wewo » Mo 30. Jun 2008, 20:07

Wäre auch stark an einer Liste interessiert!

Hab in der 23er MR folgende Files mit Änderungen von Stese bzw ModRewrite gefunden und mal in die 24 übertragen.

cms/front_content.php
cms/front_crcloginform.php
contenido/main.php
contenido/external/frontend/front_content.php
contenido/external/frontend/front_crcloginform.php
contenido/includes/functions.con.php
contenido/includes/functions.pathresolver.php
contenido/includes/functions.str.php
contenido/includes/include.con_edit_form.php
contenido/includes/include.str_aliases.php
contenido/templates/standard/template.con_edit_form.html

Aber ob das alle sind und ob man sich damit nicht wieder Löcher aufmacht wäre sehr interessant. Gibts da vielleicht eine TestSuite?

Ein Installer wäre für die 24iger auch super :)

yodatortenboxer
Beiträge: 422
Registriert: Do 22. Jan 2004, 14:45
Wohnort: Kölpinsee auf Usedom
Kontaktdaten:

Beitrag von yodatortenboxer » Mo 30. Jun 2008, 20:32

ob man sich damit nicht wieder Löcher aufmacht wäre sehr interessant
Ich würde einmal vorsichtig sagen....yep...da unter anderem soweit ich weis zum Beispiel auch in der cms/front_content.php cms/front_crcloginform.php contenido/main.php änderungen gemacht worden sind. Zumindest von der 4.8.4 auf die 4.8.6 war es so.

wewo
Beiträge: 45
Registriert: So 8. Aug 2004, 19:08
Wohnort: Graz
Kontaktdaten:

Beitrag von wewo » Di 1. Jul 2008, 17:12

yodatortenboxer hat geschrieben:
ob man sich damit nicht wieder Löcher aufmacht wäre sehr interessant
Ich würde einmal vorsichtig sagen....yep...da unter anderem soweit ich weis zum Beispiel auch in der cms/front_content.php cms/front_crcloginform.php contenido/main.php änderungen gemacht worden sind. Zumindest von der 4.8.4 auf die 4.8.6 war es so.
Wenn es eine Testuite gäbe, könnte man das schnell überprüfen.
Und warum sich Dateien (eben die zB front_content.php) innerhalb eines Release ändert ist mir auch unverständlich.

Code: Alles auswählen

if (isset($_REQUEST['contenido_path']) || isset($_REQUEST['cfg'])) {
    die ('Malicious call!');
}

oder

Code: Alles auswählen

if (isset($_REQUEST['contenido_path']) || isset($_REQUEST['cfg']) || isset($_REQUEST['cfgClient']) || isset($_REQUEST['belang'])) {
    die ('Malicious call!');
}
Welche Version soll man nun nehmen?

KrissKrass
Beiträge: 86
Registriert: Mi 2. Jun 2004, 16:01
Wohnort: Bochum
Kontaktdaten:

Beitrag von KrissKrass » Mo 14. Jul 2008, 09:18

Hallo zusammen,

also habe mich mal mit dem Thema Mod Rewrite und Version 4.6.24 beschäftigt und wollte euch an meinen Erkenntnissen teilhaben lassen.

Vorgeschichte
Ich hatte bei mir die "Original AdvancedMod Rewrite 4.6.23" Contenido-Version von stese installiert, die man bis vor kurzem auch noch bei www.polycoder.de downloaden konnte. Das Ganze lief wie zu erwarten einwandfrei!

Update
Als dann die neuste Contenido-Version (4.6.24) erschien und sich hier die Anfragen nach einer "Original AdvancedMod Rewrite 4.6.24" Contenido-Version häuften, hatte ich mich eigentlich dazu entschlossen mein System auf 4.6.23 zu lassen.
Da es aber nie gut ist, ein System mit Sicherheitslücken zu haben, ich aber auch nicht auf die 4.8. updaten wollte, wegen meiner Module und PHP 5, habe ich mich dazu entschlossen mein Glück zu versuchen und die Modifikationen von stese aus der Version 4.6.23 manuell in die 4.6.24 zu übertragen. Und was soll ich sagen: Es hat wunderbar und problemlos funktioniert!

Vorgehen beim Update
Schritt 1:
BackUp der bestehenden Datenbank machen und auch der Dateien auf dem Webserver.

Schritt 2:
Die aktuelle Contenido-Version (4.6.24) unter http://www.contenido.org/de/support/dow ... 155-3.html downloaden und entpacken.

Schritt 3:
Die "config.php" aus dem Mandanten-Verzeichnis und aus dem "contenido/includes" Verzeichnis sichern, denn diese werden nach dem Update wieder benötigt.

Schritt 4:
Die neuen Dateien auf den Server spielen und ganz wie gewohnt die Setup-Routine als "Upgrate/Update" durchlaufen lassen. Anschließend ist euer System bereits upgedatet, jedoch ohne funktionierende Mod Rewrite Erweiterung.

Schritt 5:
Nun die "config.php" wieder ins Mandanten-Verzeichnis laden und auch die "config.php" wieder in "contenido/includes" laden.
Jetzt müsstet ihr das System über die Normalen-URLs á la "front_content.php?idcat=" wieder aufrufen können. Euer System ist nun also aktuell!

Schritt 6:
Mit einem beliebigen HTML-Editor die "Original AdvancedMod Rewrite 4.6.23" Contenido-Version nach dem Begriff "stese" durchsuchen. Es werden dann folgende Dateien gefunden, in denen stese seine Erweiterung einarbeitet hat:
- cms/front_content.php
- cms/front_crcloginform.php
- contenido/main.php
- contenido/external/frontend/front_content.php
- contenido/external/frontend/front_crcloginform.php
- contenido/includes/functions.con.php
- contenido/includes/functions.pathresolver.php
- contenido/includes/functions.str.php
- contenido/includes/include.con_edit_form.php
- contenido/includes/include.str_aliases.php
- contenido/templates/standard/template.con_edit_form.html

Schritt 7:
Nun die entsprechenden Änderungen von stese aus der "Original AdvancedMod Rewrite 4.6.23" Contenido-Version in die neue Version 4.6.24 manuell übertragen und die angepassten Dateien wieder auf den Server spielen.
Außerdem die .htaccess-Datei aus dem Mandanten-Verzeichnis und dem "contenido"-Ordner in der Version 4.6.23 unverändert an gleiche Stelle in die Version 4.6.24 einfügen.

Anschließend habt ihr eine aktuelle Contenido-Version (4.6.24) inkl. der "Original AdvancedMod Rewrite" Erweiterung.

Ich habe das Ganze mit meinem System getestet und es funktioniert einwandfrei! Für trotzdem auftretende Fehler übernehme ich natürlich weder die Haftung noch gebe ich ein Gewähr für die ordnungsgemäße Funktionalität nach dem Update!

Bei Fragen zum Update fragt bitte in diesem Thread und schreibt mir keine PMs, ich antworte nicht!!!

lunsen_de
Beiträge: 187
Registriert: Mo 17. Okt 2005, 20:26
Wohnort: Weimar
Kontaktdaten:

Beitrag von lunsen_de » Fr 18. Jul 2008, 07:37

Hallo,

ich habe die Dateien aus der 4.6.24 mit dem Code von Stese (wie beschrieben) versehen. Ich habe jetzt schon 5 Systeme von 4.6.15 und 4.6.23 geupdated und keinerlei Probleme festgestellt.

Da das Einfügen des Codes recht langwierig ist, stelle ich hier (wenn niemand etwas dagegen hat) die Austauschdateien (mit dem MR Code) zum Download bereit.

Austauschdateien_4.6.24mr.zip

lunsen_de
Zuletzt geändert von lunsen_de am Do 22. Jan 2009, 15:16, insgesamt 1-mal geändert.

andreasb
Beiträge: 211
Registriert: Fr 10. Dez 2004, 02:48
Wohnort: Fernwald
Kontaktdaten:

Beitrag von andreasb » Mi 6. Aug 2008, 01:17

Hallo!
Bin dabei dies wie beschrieben umzusetzen und wundere mich, in der letzten Zügen, warum ich unter der bekannten USER/PW Kombination nicht ins BE komme.

Das hatte ich noch nie, weder SYSA.../SYSA... noch ADM../ADM.. gehen...?!

Wie das?

Nachtrag: sehe gerade auch FE geht nicht, da ist wohl bei derganzen Aktion noch etwas schief gelaufen...

blau1
Beiträge: 24
Registriert: Do 13. Jul 2006, 10:14
Wohnort: Mainz
Kontaktdaten:

Danke

Beitrag von blau1 » Di 7. Okt 2008, 09:35

lunsen_de hat geschrieben:Hallo,

ich habe die Dateien aus der 4.6.24 mit dem Code von Stese (wie beschrieben) versehen. Ich habe jetzt schon 5 Systeme von 4.6.15 und 4.6.23 geupdated und keinerlei Probleme festgestellt.

Da das Einfügen des Codes recht langwierig ist, stelle ich hier (wenn niemand etwas dagegen hat) die Austauschdateien (mit dem MR Code) zum Download bereit.

Austauschdateien_4.6.24mr.zip

lunsen_de
Danke für Deine Arbeit - die hat mir gerade einige Arbeit erspart!
Die Systemvoraussetzungen der 4.8 wird leider nicht von jedem Provider unterstützt, daher ist es notwendig eine möglichst saubere 4.6´er Version zur Verfügung zu haben....
Grüße

Mafi78
Beiträge: 10
Registriert: Do 9. Okt 2008, 13:02
Kontaktdaten:

Komisches Phänomen

Beitrag von Mafi78 » Do 9. Okt 2008, 16:04

Hallo,
Ich benutze eigentlich erfolgreich das Plugin mit Contenido 4.6.2, aber ich habe ein komisches Verhalten, wenn ich auf ein mit front_content?idart=xx verlinkten Link zugreifen will. siehe Post hier.
http://forum.contenido.org/viewtopic.ph ... 278#124278

Dachte zuerst das wäre in 4.8.8 auch so, aber das war ein Irrtum.
Habe ich mod_rewrite ausgeschaltet funktioniert es problemlos. wird es benutzt bekomme ich immer einen Link auf /Kategorie/.html

Der Dateiname wird also nicht richtig eingesetzt. Hat das schonmal jemand gesehen und kann es beheben ?
Gruß Manfred

Gesperrt